local F = far.Flags
local FindFileResult_id = win.Uuid(far.Guids.FindFileResultId)
local idx_title = 1

Event { description="Вывод искомой строки в заголовок результатов поиска";
  group="DialogEvent";
  id="9F7E79ED-518C-4D57-84BB-F1CAAA0B65EC";
  condition=function(Event,Param)
   if Event==F.DE_DLGPROCINIT and Param.Msg==F.DN_INITDIALOG then
     local id = Param.hDlg:send(F.DM_GETDIALOGINFO)
     return id and id.Id==FindFileResult_id
   end
  end;
  action=function(Event,Param)
    local function _LastSrch()
      local sRes=''
      local settings=far.CreateSettings"far"
      if settings then
        local history=settings:OpenSubkey(far.Flags.FSSF_ROOT,"SearchText")
        if history then
          local items=settings:Enum(history, -1)
          if items and #items > 0 then sRes=items[1].Name end
        end
        settings:Free()
      end
      return sRes
    end
    local SearchStr=_LastSrch()
    if SearchStr ~= '' then
      local text = Param.hDlg:send(F.DM_GETTEXT,idx_title)
      Param.hDlg:send(F.DM_SETTEXT,idx_title,("%s (%s)"):format(text,SearchStr))
    end
  end;
}
